summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-backup/bup/Manifest8
-rw-r--r--app-backup/bup/bup-0.24b.ebuild11
-rw-r--r--app-backup/bup/bup-0.25_rc1.ebuild11
-rw-r--r--app-backup/bup/bup-9999.ebuild11
4 files changed, 22 insertions, 19 deletions
diff --git a/app-backup/bup/Manifest b/app-backup/bup/Manifest
index e64e041..f2da970 100644
--- a/app-backup/bup/Manifest
+++ b/app-backup/bup/Manifest
@@ -1,5 +1,5 @@
-DIST bup-0.24b.tar.gz 330633 RMD160 0293bae6fe6bf1ff002a6965adbffc1a9123c976 SHA1 317561c1bcd2fe59ee8674d528fa2886f89d86ee SHA256 ecac6d050416dd6cb5f4960b0c6d68766a5ccc656bc49b605ff519647f3e0fc6
+DIST bup-0.24b.tar.gz 330630 RMD160 f2c3474c9f5467ad95153725947cc6c3a016f0f0 SHA1 478aa11b9f1ecc72d6d1ca07fb543042d152b81e SHA256 10674d25ec3a6a63525e4c5e7ba36cf08cee5a2d1d6bfc9306d2a560dbade429
DIST bup-0.25_rc1.tar.gz 360010 RMD160 52addf38b0a2e1ed6f3ce496b43512619a9f64ff SHA1 04815a9f1c1d4d796b9f7f09401c49240b21b84a SHA256 b04186b48d2f6fc5a679c343c93e785ea2716d267c5c9621086a9d313fd2bea1
-EBUILD bup-0.24b.ebuild 977 RMD160 14ea28fb7e2180c93ed6ec386408b5ef70c377cd SHA1 c8a019ee13ac80624edff0f7d5935a5748e7b1b1 SHA256 e96b9cbabbe8412d86fafade5a636d9fa62b3b95079eb9b9f9b25ee5f6ed9c9e
-EBUILD bup-0.25_rc1.ebuild 977 RMD160 14ea28fb7e2180c93ed6ec386408b5ef70c377cd SHA1 c8a019ee13ac80624edff0f7d5935a5748e7b1b1 SHA256 e96b9cbabbe8412d86fafade5a636d9fa62b3b95079eb9b9f9b25ee5f6ed9c9e
-EBUILD bup-9999.ebuild 851 RMD160 506c1337a76757acd17893db0395e912f792e830 SHA1 499ebcf153559860b7d7bb9ad90e272620daeafd SHA256 980181ad752fac7f4f76dec40237fc02941b51bdafa62cc3d664df15f98a393b
+EBUILD bup-0.24b.ebuild 903 RMD160 c77423cad8e4d7500bc0efbb4fc50dbfb49788b0 SHA1 afdb8ee091a4823a564edca06756175a51e15adb SHA256 dde24118b3f251744097d646c460b2086b1de89aea7613ea14a88b6c9203d4a0
+EBUILD bup-0.25_rc1.ebuild 903 RMD160 c77423cad8e4d7500bc0efbb4fc50dbfb49788b0 SHA1 afdb8ee091a4823a564edca06756175a51e15adb SHA256 dde24118b3f251744097d646c460b2086b1de89aea7613ea14a88b6c9203d4a0
+EBUILD bup-9999.ebuild 817 RMD160 de831b53c2ddd6ec9ea9231ab118364b833252f0 SHA1 b459ef2247d4c9917531989499a545c75fc5d287 SHA256 54c49e159170318ae927eda2f672c01b7f83d5ba17c4d55638c6294525cd871b
diff --git a/app-backup/bup/bup-0.24b.ebuild b/app-backup/bup/bup-0.24b.ebuild
index b73be0d..0107e7d 100644
--- a/app-backup/bup/bup-0.24b.ebuild
+++ b/app-backup/bup/bup-0.24b.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=3
+EAPI=4
inherit eutils
DESCRIPTION="It backs things up based on the git packfile format"
@@ -32,17 +32,18 @@ src_unpack() {
}
src_compile() {
- emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die "emake failed"
+ emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
}
src_install() {
- emake install DESTDIR="${D}" || die "emake install failed"
+ emake install DESTDIR="${D}"
- dodoc "${D}/usr/share/doc/${PN}"/* && rm -r "${D}/usr/share/doc/${PN}/"
+ dodoc "${D}/usr/share/doc/${PN}"/*
+ rm -r "${D}/usr/share/doc/${PN}/" || die
dodoc README DESIGN
}
src_test() {
- emake test || die "emake test failed"
+ emake test
}
diff --git a/app-backup/bup/bup-0.25_rc1.ebuild b/app-backup/bup/bup-0.25_rc1.ebuild
index b73be0d..0107e7d 100644
--- a/app-backup/bup/bup-0.25_rc1.ebuild
+++ b/app-backup/bup/bup-0.25_rc1.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=3
+EAPI=4
inherit eutils
DESCRIPTION="It backs things up based on the git packfile format"
@@ -32,17 +32,18 @@ src_unpack() {
}
src_compile() {
- emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" || die "emake failed"
+ emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
}
src_install() {
- emake install DESTDIR="${D}" || die "emake install failed"
+ emake install DESTDIR="${D}"
- dodoc "${D}/usr/share/doc/${PN}"/* && rm -r "${D}/usr/share/doc/${PN}/"
+ dodoc "${D}/usr/share/doc/${PN}"/*
+ rm -r "${D}/usr/share/doc/${PN}/" || die
dodoc README DESIGN
}
src_test() {
- emake test || die "emake test failed"
+ emake test
}
diff --git a/app-backup/bup/bup-9999.ebuild b/app-backup/bup/bup-9999.ebuild
index 7c4e92b..1601f84 100644
--- a/app-backup/bup/bup-9999.ebuild
+++ b/app-backup/bup/bup-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=3
+EAPI=4
inherit git eutils
DESCRIPTION="It backs things up based on the git packfile format"
@@ -27,17 +27,18 @@ DEPEND="|| (
RDEPEND="${DEPEND}"
src_compile() {
- emake || die "emake failed"
+ emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
}
src_install() {
- emake install DESTDIR="${D}" || die "emake install failed"
+ emake install DESTDIR="${D}"
- dodoc "${D}/usr/share/doc/${PN}"/* && rm -r "${D}/usr/share/doc/${PN}/"
+ dodoc "${D}/usr/share/doc/${PN}"/*
+ rm -r "${D}/usr/share/doc/${PN}/" || die
dodoc README DESIGN
}
src_test() {
- emake test || die "emake test failed"
+ emake test
}